Subject: Re: bug#60233: 30.0.50; Dired buffer not updating sometimes

From: Gregory Heytings <[email-masked]>
Date: Thu, 22 Dec 2022 21:48:42 +0000

>
> Here is what happens sometimes: 
> https://gnu.support/images/tmp/2022-12-21/2022-12-21-08:09:15.ogv
>

I see this on the modeline of your video:

[[[[(Dired by name Launch Hypb WK)]]]]

Unless you customized your modeline in a strange way, these four "[[[[" 
and "]]]]" mean that you're in recursive edit, in a recursive edit, in a 
recursive edit, in a recursive edit (yes, four times).  Is that really 
what you want?

(info "(emacs)Recursive Edit") says: "You could probably do all the rest 
of your editing inside the recursive edit, visiting files and all.  But 
this could have surprising effects (such as stack overflow) from time to 
time.  So remember to exit or abort the recursive edit when you no longer 
need it. In general, we try to minimize the use of recursive editing 
levels in GNU Emacs."